CREATE TABLE &LIBREF..TRADE (
     TRADE_ID             VARCHAR(32) label='Trade Identifier',
     TRADE_DESC           VARCHAR(100) label='Trade Description',
     TRANS_DTTM           DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Transaction Datetime',
     TRANS_TYPE_CD        VARCHAR(3) label='Transaction Type Code',
     BUY_SELL_FLG         CHARACTER(1) label='Buy Sell Flag',
     COMMISSION_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Commission Amount',
     DEAL_ID              VARCHAR(32) label='Deal Identifier',
     DUE_BILLS_FLG        CHARACTER(1) label='Due Bills Flag',
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Unwind Maximum Loss Amount',
     PRINCIPAL_BALANCE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Principal Balance Amount',
     PREM_PAID_PERIOD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Premium Paid Premium Amount',
     SWAP_INFLOW_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Swap Inflow Amount',
     SWAP_OUTFLW_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Swap Outflow Amount',
     PROFIT_LOSS_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Profit Loss Amount',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     TRADE_DERIVATIVE_FLG CHARACTER(1) label='Trade Derivative Flag',
     BUY_SELL_UNIT_PRICE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Buy Sell Unit Price Amount',
     BUY_SELL_UNIT_QTY    NUMERIC(6) FORMAT=6. INFORMAT=6. label='Buy Sell Unit Quantity',
     FINANCIAL_POSITION_RK NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Position Key',
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (TRADE_ID)
);

