CREATE TABLE &LIBREF..XL_LAYER (
     XL_LAYER_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='XL Layer Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     XL_LAYER_ID          VARCHAR(32) NOT NULL label='XL Layer Identifier',
     CAP_RANGE_1_AMT_TYPE_CD VARCHAR(3) label='Capacity Range Amount Type Code1',
     CAP_RANGE_2_AMT_TYPE_CD VARCHAR(3) label='Capacity Range Amount Type Code2',
     DEDUCTIBLE_1_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Deductible Amount1',
     DEDUCTIBLE_2_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Deductible Amount2',
     DEDUCTIBLE_AMT_RULE_CD VARCHAR(3) label='Deductible Amount Rule Code',
     LIMIT_1_AMT          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Limit Amount1',
     LIMIT_2_AMT          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Limit Amount2',
     LIMIT_AMT_RULE_CD    VARCHAR(3) label='Limit Amount Rule Code',
     XL_LAYER_MIN_PREM_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='XL Layer Minimum Premium Amount',
     XL_LAYER_DEP_PREM_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='XL Layer Deposit Premium Amount',
     ALLOWED_REINSTATEMENTS_NO NUMERIC(6) FORMAT=6. INFORMAT=6. label='Allowed Reinstatements Number',
     REINSTATEMENT_LIMIT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Reinstatement Limit',
     XL_LAYER_AGGR_LIMIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='XL Layer Aggregate Limit Amount',
     RI_CONTRACT_SECTION_RK NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Contract Section Retained Surrogate Key',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Datetime',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (XL_LAYER_RK, VALID_FROM_DTTM)
);

